创建易支付订单
POST
https://pay.example.com/payments/epay/v1/order/create-transaction/submit.php通过 GET 查询串或 POST 表单提交已签名参数。MD5 签名校验通过并成功创建订单后,网关通过 HTTP 302 跳转至收银台。
请求参数
| 字段 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
pid | query/form | string | 是 | 商户 PID。建议使用数字 PID;EPay 回调会按数字 PID 输出。 |
money | query/form | number | 是 | 法币金额。 |
out_trade_no | query/form | string | 是 | 商户订单号。 |
notify_url | query/form | string | 是 | 异步回调地址。 |
return_url | query/form | string | 否 | 支付完成后的同步跳转地址。 |
name | query/form | string | 否 | 商品/订单名称。 |
type | query/form | string | 否 | 仅支持空值、alipay,或当前已启用并可收款的 token.network selector(如 usdt.tron)。推荐使用小写 alipay。 |
token | query/form | string | 否 | 可选收款币种。仅在 type 不是命中的 selector 时参与解析;传了就必须参与 EPay 签名。 |
network | query/form | string | 否 | 可选收款网络。仅在 type 不是命中的 selector 时参与解析;传了就必须参与 EPay 签名。 |
currency | query/form | string | 否 | 可选法币币种。优先级高于后台 epay.default_currency;传了就必须参与 EPay 签名。 |
sign | query/form | string | 是 | EPay 签名。 |
sign_type | query/form | string | 否 | 通常为 MD5。 |
示例使用演示密钥 epusdt_secret_key 签名。更改参数或商户密钥后,请在商户服务端重新签名。
相关文档
响应
Location
Location: /pay/checkout-counter/20260523171652123456001application/json
响应字段
status_codeinteger业务结果码,商户可据此判断具体原因。
messagestring便于阅读的结果说明。
datanull接口返回的数据,失败时为 null。
request_idstring请求标识,可用于排查日志。
application/json
响应字段
status_codeinteger业务结果码,商户可据此判断具体原因。
messagestring便于阅读的结果说明。
datanull接口返回的数据,失败时为 null。
request_idstring请求标识,可用于排查日志。
application/json
响应字段
status_codeinteger业务结果码,商户可据此判断具体原因。
messagestring便于阅读的结果说明。
datanull接口返回的数据,失败时为 null。
request_idstring请求标识,可用于排查日志。
application/json
响应字段
status_codeinteger业务结果码,商户可据此判断具体原因。
messagestring便于阅读的结果说明。
datanull接口返回的数据,失败时为 null。
request_idstring请求标识,可用于排查日志。
application/json
响应字段
status_codeinteger业务结果码,商户可据此判断具体原因。
messagestring便于阅读的结果说明。
datanull接口返回的数据,失败时为 null。
request_idstring请求标识,可用于排查日志。
application/json
响应字段
status_codeinteger业务结果码,商户可据此判断具体原因。
messagestring便于阅读的结果说明。
datanull接口返回的数据,失败时为 null。
request_idstring请求标识,可用于排查日志。
application/json
响应字段
status_codeinteger业务结果码,商户可据此判断具体原因。
messagestring便于阅读的结果说明。
datanull接口返回的数据,失败时为 null。
request_idstring请求标识,可用于排查日志。
application/json
响应字段
status_codeinteger业务结果码,商户可据此判断具体原因。
messagestring便于阅读的结果说明。
datanull接口返回的数据,失败时为 null。
request_idstring请求标识,可用于排查日志。
application/json
响应字段
status_codeinteger业务结果码,商户可据此判断具体原因。
messagestring便于阅读的结果说明。
datanull接口返回的数据,失败时为 null。
request_idstring请求标识,可用于排查日志。